#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    long double p,q,r,L,R,br=0;
    cin>>p>>q>>r>>L>>R;
    for (long double i=L;i<=R;i++)
    {
        if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
        {
            br=br+1;
        }
    }
    cout<<br;
    return 0;
}